\begin{abstract}
Since the first detection of gravitational waves (GW) in 2015, gravitational wave detectors have continually been improved. Now, a compact binary coalescence (CBC) is detected once a week in a full sensitivity observation run of the Advanced Laser Interferometric Gravitational-wave Observatory (LIGO) detectors. This thesis describes research on a collection of projects aimed at developing next-generation of technologies for future gravitational wave detectors. In the first part, I describe my research on directly measuring the coatings Brownian noise of high-reflectivity coatings made out of crystalline AlGaAs. It is a part of the larger effort to reduce the classical noise limit in the 30 Hz to 300 Hz band in the current generation of detectors. The second part describes the Balanced Homodyne Readout (BHR) upgrade that was performed at the 40m prototype at Caltech. This new readout method would be instrumental in reducing excess noise at the lower frequencies in GW detectors. With several future detectors planned with an order of magnitude improvement in sensitivity, the parameter estimation about the merging bodies would be limited by the calibration uncertainty if the calibration method is not updated. In the third part of the thesis, I describe our work on developing a systematic-free absolute calibration of the detector. In this scheme, we refer the calibration to the ultra-stable optical common length mode of the arm cavities in the detectors. In the final part, I describe four new arm length stabilization schemes for the proposed cryogenic upgrade of Advanced LIGO detectors into Voyager.
\end{abstract}
